import scrapy


class XsSpider(scrapy.Spider):
    name = 'xs'
    allowed_domains = ['xbiquge.la']
    start_urls = ['https://www.xxbiquge.com/81_81598/354473.html']

    def parse(self, response):
        title=response.xpath("//h1/text()").get()
        content=response.xpath("string(//div[@id='content'])").get()
        yield {
            'title':title,
            'content':content
        }
        next_url=response.xpath("//div[@class='bottem1']/a[3]/@href")

        yield scrapy.Request(response.urljoin(next_url))
